.blog-row {
    grid-template-columns: repeat(3,1fr);
    column-gap: 20px;
    row-gap: 35px;
    display: grid;
    width: 100%;
    list-style: none;
    margin: 42px 0 0;
    padding: 0;
}

@media (min-width: 768px) and (max-width: 1199.98px) {
    .blog-row {
        grid-template-columns: repeat(2,1fr);
    }
}

@media (max-width: 767.98px) { 
    .blog-row {
        grid-template-columns: 1fr;
        margin: 0;
    }
}

.blog-detail-container {
    padding: 1.5rem 0;
}

.blog-detail-container .blog-heading {
    font-weight: 900;
    color: #000;
    font-size: 3em;
    letter-spacing: 0.5px;
    text-align: center;
}

@media (max-width: 767.98px) { 
    .blog-detail-container .blog-heading {
        font-size: 2em;
    }
}

.blog-detail-container .share-section {
    display: flex;
    justify-content: space-between;
    margin-bottom: 1.5rem;
}

.blog-detail-container .blog-image {
    width: 100%;
    margin-bottom: 1.5rem;
}

.blog-detail-container .share-section .share-icon {
    display: flex;
    column-gap: 10px;
    font-weight: 600;
}

.blog-detail-container .share-section .date-section {
    font-weight: 600;
    display: flex;
    align-items: center;
    font-size: 14px;
}

.blog-detail-container .share-section .date-section i {
    margin-right: 5px;
}

.divider {
    background-color: var(--primary-color);
    height: 5px;
    margin: auto;
    width: 20%;
    border-radius: 3px;
    margin-bottom: 2rem;
}
.vertical-divider {
    width: 2px;
    height: 100%;
    margin: 0 7px;
    background-color: #000;
}

.blog-detail-container a {
    color: #000;
    text-decoration: underline;
}

.blog-detail-container p {
    color: #000;
    font-size: 16px;
    line-height: 1.5;
}

.blog-detail-container img {
    width: 100%;
}